%define _prefix /opt/xserver13
%define name x11-driver-video-intel13
%define version 1.9.93
%define git 0
%if %git
%define release %mkrel %git.1
%else
%define release %mkrel 1
%endif

# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(

Name: %{name}
Version: %{version}
Release: %{release}
Summary: The X.org driver for Intel i810 - i965 chipsets
Group: System/X11
URL: http://xorg.freedesktop.org
%if %git
Source: xf86-video-intel-%{git}.tar.bz2
%else
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-%{version}.tar.bz2
%endif
Patch0: x11-driver-video-i810-vt_fix.patch
Patch1: xf86-video-i810-fix-version-test.patch  
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-server13-devel
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libdrm-devel >= 2.0
BuildRequires: libxvmc-devel >= 1.0.1
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0
Obsoletes: x11-driver-video-intel < 1.6.5-%mkrel 2
Provides: x11-driver-video-intel = %{version}

%description
The X.org driver for Intel hardware from the Modesetting branch and 
built against the x11-server13 package.

Important Note:
You have to modify your xorg.conf to use the driver "intel" rather
than "i810". Switching back to i810 will allow you to use the official
driver with the new server.
NB the offical release of this driver symlinks intel to i810 but this has
been removed from this package to allow such easy switching without removing
packages.

%prep
%if %git
%setup -q -n xf86-video-intel
%else
%setup -q -n xf86-video-intel-%{version}
%endif
# prevents the driver from doing operations when we do not have the VT lock 
%patch0 -p1 -b .vt_fix
#%patch1 -p1 -b .ver

%build
PKG_CONFIG_PATH=%{_libdir}/pkgconfig:$PKG_CONFIG_DIR
export PKG_CONFIG_PATH
%if %git
./autogen.sh
%endif
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Remove this so that easy switching between old an new drivers is possible.
rm -f %{buildroot}%{_libdir}/xorg/modules/drivers/i810_drv.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}
%dir %{_libdir}
%dir %{_libdir}/xorg
%dir %{_libdir}/xorg/modules
%dir %{_libdir}/xorg/modules/drivers
%dir %{_datadir}
%dir %{_mandir}
%dir %{_mandir}/man4
%{_libdir}/libI810XvMC.la
%{_libdir}/libI810XvMC.so
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
%{_libdir}/xorg/modules/drivers/*.la
%{_libdir}/xorg/modules/drivers/*.so
%{_mandir}/man4/intel.4


%changelog
* Tue Mar 27 2007 Colin Guthrie <cguthrie@mandriva.org> 1.9.93-1mdv2007.1
+ Revision: 149098
- New Release Candidate (RC3)

* Wed Mar 14 2007 Colin Guthrie <cguthrie@mandriva.org> 1.9.92-1mdv2007.1
+ Revision: 143894
- New version 1.9.92 (2.0 RC2)

* Mon Mar 12 2007 Anssi Hannula <anssi@mandriva.org> 1.9.91-20070307.4mdv2007.1
+ Revision: 141875
- own all directories in own prefix (#29350)

* Sun Mar 11 2007 Anssi Hannula <anssi@mandriva.org> 1.9.91-20070307.3mdv2007.1
+ Revision: 141227
- remove devel requires

* Fri Mar 09 2007 Adam Williamson <awilliamson@mandriva.com> 1.9.91-20070307.2mdv2007.1
+ Revision: 138590
- bump for rebuild against new server

* Wed Mar 07 2007 Adam Williamson <awilliamson@mandriva.com> 1.9.91-20070307.1mdv2007.1
+ Revision: 134872
- git 20070307 (may fix 3D accel issues?)

* Mon Mar 05 2007 Adam Williamson <awilliamson@mandriva.com> 1.9.91-1mdv2007.1
+ Revision: 133324
- 1.9.91 (2.0 RC1)

* Sat Mar 03 2007 Colin Guthrie <cguthrie@mandriva.org> 1.9.90-0.git20070302.1mdv2007.1
+ Revision: 131872
- Update snapshot

* Fri Mar 02 2007 Colin Guthrie <cguthrie@mandriva.org> 1.9.90-0.git20070301.1mdv2007.1
+ Revision: 131044
- Remove i810 symlink to allow easy switch with xorg.conf edit.

* Fri Mar 02 2007 Colin Guthrie <cguthrie@mandriva.org> 1.9.90-0.git20070301.0mdv2007.1
+ Revision: 130969
- Use the modesetting branch
- Make a branch of our official x11-driver-video-i810 package for x11-driver-video-intel13 branch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - new release
    - bump release
      patch 1: fix build
    - fix group
    - rebuild with the proper ABI on x86_64

  + Antonio Hobmeir Neto <neto@mandriva.com>
    - Rename back to i810
    - Returns to the name i810 because the tarball keep this name
    - new upstream release: 1.6.5
      Changes since 1.6.0:
        * Add an API for programming i915 fragment programs.
        * Convert i915 rotate code to the new fragment program API.
        * Adds MergedFB support
        * Fix configure.ac to check for xineramaproto
        * Adds i965 support
        * Many other bugfixes
    - Package was renamed upstream. Following the name scheme.

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - added patch: prevents the driver from doing operations when we do not have the VT lock
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

